package com.artfess.xqxt.meeting.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.artfess.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 *
 * @company 阿特菲斯信息技术有限公司
 * @author 管理员
 * @since 2022-11-03
 */
@ApiModel(value="BizMeetingModel对象", description="")
public class BizMeetingModel extends BaseModel<BizMeetingModel> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "画面模式")
    @TableField("mode")
    private String mode;

    @ApiModelProperty(value = "内部会议ID")
    @TableField("conf_internal_id")
    private Integer confInternalId;

    @ApiModelProperty(value = "外部会议ID")
    @TableField("conf_external_id")
    private String confExternalId;

    @ApiModelProperty(value = "画面数量")
    @TableField("mode_num")
    private Integer modeNum;

    @ApiModelProperty(value = "租户ID")
    @TableField("TENANT_ID_")
    private String tenantId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }
    public Integer getConfInternalId() {
        return confInternalId;
    }

    public void setConfInternalId(Integer confInternalId) {
        this.confInternalId = confInternalId;
    }
    public String getConfExternalId() {
        return confExternalId;
    }

    public void setConfExternalId(String confExternalId) {
        this.confExternalId = confExternalId;
    }
    public Integer getModeNum() {
        return modeNum;
    }

    public void setModeNum(Integer modeNum) {
        this.modeNum = modeNum;
    }
    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "BizMeetingModel{" +
                "id=" + id +
                ", mode=" + mode +
                ", confInternalId=" + confInternalId +
                ", confExternalId=" + confExternalId +
                ", modeNum=" + modeNum +
                ", tenantId=" + tenantId +
                "}";
    }
}
